Skip to main content
Keywords

Related keyword ideas for a seed keyword

View Markdown

Returns keyword ideas related to a seed keyword, each with search volume, CPC, competition, and search intent. Costs 3 credits.

POST/v1/keyword-ideas/

Authorization

accessKey
x-access-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/keyword-ideas/" \  -H "Content-Type: application/json" \  -d '{    "keyword": "string"  }'
{
  "success": true,
  "credits": {
    "charged": 0,
    "remaining": 0
  },
  "data": {
    "seed": "string",
    "location": "string",
    "language": "string",
    "total": null,
    "ideas": [
      {
        "keyword": "string",
        "volume": null,
        "cpc": null,
        "competition": null,
        "competition_index": null,
        "search_intent": null
      }
    ]
  }
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}